Bric::Util::Grp::SubelementType(3)

NAME
Bric::Util::Grp::SubelementType - A group of ElementTypes.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2005-09-23 15:52:57 -0700 (Fri, 23 Sep 2005) $

SYNOPSIS
 use Bric::Util::Grp::SubelementType;

DESCRIPTION
This is for holding groups of ElementTypes.

INTERFACE

  Constructors

$obj = new Bric::Util::Grp::SubelementType->new($init);
    Creates a new assettype group. Uses inherited 'new' method.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

@objs = lookup Bric::Util::Grp::SubelementType->lookup($param);
    Uses inherited 'lookup' method.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

@objs = list Bric::Util::Grp::SubelementType->list($param);
    Uses inherited 'list' method.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Destructors

$self->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY

  Public Class Methods

$class_id = Bric::Util::Grp::Category->get_class_id()
    This will return the class id that this group is associated with it should have an id that maps to the class object instance that is associated with the class of the grp ie Bric::Util::Grp::AssetVersion

    Throws: NONE

    Side Effects: NONE

    Notes:

    Overwite this in your sub classes

$h = $key->get_supported_classes;
    This supplies a package to table name mapping.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

my @list_classes = Bric::Util::Grp::SubelementType->get_list_classes
    Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$class_id = Bric::Util::Grp::SubelementType->get_object_class_id
    Forces all Objects to be considered as this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $class = Bric::Util::Grp::SubelementType->my_class()
    Returns a Bric::Util::Class object describing this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

my $class = Bric::Util::Grp::SubelementType->member_class()
    Returns a Bric::Util::Class object describing the members of this group.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

  Public Instance Methods
NONE.

  Private Methods
NONE.

  Private Class Methods
NONE

  Private Instance Methods
NONE

AUTHOR
"Garth Webb" <garth@perijove.com> Bricolage Engineering

SEE ALSO
perl, Bric, Bric::Biz::ElementType